An example on how to reproduce the problem:

    1. Start editing a surface layer.
    2. Select the symmetry vector editing tool. It will ask for a selection of geometries.
    3. Select the rectangle selection tool and create a rectangle selecting some geometries of the layer being edited.
    4. Press the Enter key

Then the selection tool is still enabled in the map view, but the vector editing console is asking for the first symmetry axis point. You
can't perform the editing tool action until the Esc key is pressed, which cancels both the symmetry and the selection tools.

This happens also with all the vector editing tools but the internal polygon one.

Associated revisions
Revision 1143 - 06/20/2017 02:33 PM - Francisco Díaz Carsí

refs #3446 Fixed interaction between the vector editing and selection tools.

History
#1 - 05/05/2015 03:31 PM - Cesar Ordiñana
- Subject changed from Bug in the interaction between the vector editing and selection tools to Bad interaction between the vector editing and selection 
tools

#2 - 06/08/2017 01:42 PM - Álvaro Anguix
- Target version set to 2.4.0-2839-RC2 (rev. org.gvsig.desktop-2.0.206)

#3 - 06/20/2017 02:34 PM - Francisco Díaz Carsí
- Target version changed from 2.4.0-2839-RC2 (rev. org.gvsig.desktop-2.0.206) to 2.4.0-2826 (rev. org.gvsig.desktop-2.0.192) 
- Assignee set to Francisco Díaz Carsí
- Status changed from New to Fixed

#4 - 06/23/2017 03:05 PM - Álvaro Anguix
- Status changed from Fixed to Closed
